## walinuxagent 2.9.1.1

=== debian/changelog ===
walinuxagent (2.9.1.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:30:08 +1100

walinuxagent (2.9.1.1-0ubuntu2) noble; urgency=high

  * debian/postinst: remove dhclient reference and configuration
    (LP: #2055260).
  * debian/control: add python3-setuptools to support distutils in python 3.12
    (LP: #2055269).
  * debian/patches/fix_escape_sequence_warning.patch: fix escape sequence
    errors with python 3.12 (LP: #2055429).

 -- Calvin Mwadime <calvin.mwadime@canonical.com>  Wed, 28 Feb 2024 12:10:06 +0300

walinuxagent (2.9.1.1-0ubuntu1) noble; urgency=medium

  [ Calvin Mwadime ]
  * New upstream version 2.9.1.1
  * debian/watch: Fix package version regex pattern
  * debian/docs: Remove the changelog
  * debian/install: add new udev rules
  * debian/patches:
    - Remove deprecated patches
    - Update list of supported ubuntu versions
    - Correctly point to the right dhcp client lease file
    - Update the cgroup handling to include v2
  * disable_udev_overrides.patch: Remove udev overrides in setup.py
  * debian: Make python unit tests work
  * debian: Remove upstart config
  * debian/control: Remove isc-dhcp-client
  * debian/manpages: Added manpages

  [ Christian Ehrhardt ]
  * d/control, d/compat: switch to compat level 13
  * d/rules, d/install: install services once
  * d/control: drop old unneeded X-Python3-Version statement
  * d/rules: stop using the old systemd dh sequence
  * d/control: add iproute2 build dependency (test only)
  * d/control: fix lintian priority-extra-is-replaced-by-priority-optional
  * d/install: move remaining things to /usr

 -- Calvin Mwadime <calvin.mwadime@canonical.com>  Thu, 30 Nov 2023 11:07:05 +0300

walinuxagent (2.2.46-0ubuntu7) lunar; urgency=medium

  * Remove udev rule for serial console (LP: #2016012)

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Thu, 13 Apr 2023 13:58:02 +0200

walinuxagent (2.2.46-0ubuntu6) kinetic; urgency=medium

  * Add patch to fix handling of gen2 disks
    w/ udev rules. (LP: #1971141)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 02 May 2022 16:34:50 +0530

walinuxagent (2.2.46-0ubuntu5) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:37:33 +0000

walinuxagent (2.2.46-0ubuntu4) jammy; urgency=medium

  * Build on arm64. (LP: #1954678)

 -- Brian Murray <brian@ubuntu.com>  Mon, 13 Dec 2021 10:03:18 -0800

walinuxagent (2.2.46-0ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:17 +0200

walinuxagent (2.2.46-0ubuntu2) hirsute; urgency=medium

  * Drop build-dependency on obsolete dh-systemd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Mar 2021 17:00:09 -0800
