=== debian/control ===
Source: walinuxagent
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Microsoft Corporation <walinuxagent@microsoft.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               debhelper (>= 9.20160709) | dh-systemd,
               go-md2man,
               iproute2,
               python3-all,
               python3-setuptools,
               python3-pyasn1,
               python3-distro,
               python3-mock,
               python3-nose,
               python3-nose-timer,
               python3-wrapt,
               pylint,
               python3-distro,
               python3-coverage,
               iptables,
               openssl (>= 1.0),
Standards-Version: 3.9.8
Homepage: http://go.microsoft.com/fwlink/?LinkId=250998

Package: walinuxagent
Architecture: amd64 arm64
Depends: cloud-init (>= 0.7.3~bzr826-0ubuntu2),
         openssh-server (>= 1:5.9p1),
         openssl (>= 1.0),
         passwd (>= 4.1.4.2),
         util-linux (>= 2.0),
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
Description: Windows Azure Linux Agent
 The Windows Azure Linux Agent supports the provisioning and running of Linux
 VMs in the Windows Azure cloud. This package should be installed on Linux
 disk images that are built to run in the Windows Azure environment.
