=== debian/watch ===
version=4
 opts="searchmode=plain,\
 filenamemangle=s/.+?v?(\d+(?:\.\d+)*)/walinuxagent-$1\.tar\.gz/" \
 https://api.github.com/repos/Azure/WALinuxAgent/releases https://api.github.com/repos/Azure/WALinuxAgent/tarball/v@ANY_VERSION@
