## walinuxagent 2.11.1.4

=== debian/changelog ===
walinuxagent (2.11.1.4-0ubuntu3) plucky; urgency=medium

  * Add d/p/use-legacycrypt-for-python3_13.patch:
    - Takes upstream fix to account for the crypt module being dropped in Python 3.13.
    - Use legacycrypt for Python >= 3.13.
    - Adds stub to ensure process will not crash if no crypt module is present.
    - LP: #2104189
  * d/rules: Disable test_get_password_hash because it is expected to fail.
    It depends on python3-legacycrypt which is in universe, while walinuxagent
    is in main.

 -- Aleksa Svitlica <aleksa.svitlica@canonical.com>  Mon, 31 Mar 2025 14:19:15 -0400

walinuxagent (2.11.1.4-0ubuntu2) oracular; urgency=medium

  * fix d/p/embed-distutils-to-azurelinuxagent.patch to prevent
    azurelinuxagent/distutils/__init__.py to be created empty and thus ignored
    by dpkg-source which in turn would make setuptools miss the Python
    distutils package that would then be missing from the debian package
    (LP: #2077975).

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Wed, 28 Aug 2024 09:08:57 +0200

walinuxagent (2.11.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (LP: #2068019):
    - Full list of changes is available at:
      https://github.com/Azure/WALinuxAgent/releases/tag/v2.11.1.4
    - Remove patches:
      + d/p/fix_systemd_networkd_lease_file_path.patch: Merged
        upstream (#2979) and released in version 2.10.0.8.
      + d/p/fix_cgroup_v2_mounting_and_systemd_process.patch: Drop
        because for now is intentional that the agent does not enable
        cgroup usage when v2 is detected, but it is allowed that users
        run the log collector by command line without cgroup monitoring
        (#2939). This was released in version 2.10.0.8.
    - Refresh patches:
      + d/p/update_dhcp_client_ubuntu_supported_versions.patch:
        Merged upstream (#2980) and released in version 2.10.0.8.,
        but still need to fix a version (#3159).
      + d/p/fix_escape_sequence_warning.patch.
  * d/p/complete_exception_info_on_test.patch: Fix incomplete
    mocked exception creation to prevent it from being lost
    when another exception occurs.
  * d/p/disable_udev_overrides.patch: Refresh to make it compliant
    with DEP-3.
  * d/p/embed-distutils-to-azurelinuxagent.patch: due to distutils
    deprecation, upstream embedded it (#3063).
  * d/p/update-test-certificate-data.patch: Avoid  decryption failure
    that was making some tests behave unexpectedly (#3166) (fixes #3163).
  * Drop the use of nose (LP: #2063046):
    - d/control: Remove nose dependencies in favor of pytest.
    - d/p/run-unit-test-with-pytest-python3_10.patch: Apply upstream
      (#3081) merged at develop.
    - d/rules: Test overriding to avoid launching tests that require
      sudo.
  * Some polishing actions were taken:
    - d/control:
      + No need to rely on dh-systemd anymore since we have
        debhelper > 11.
      + Drop redundant build-dependency.
    - d/rules:
      + Get DEB_* variables from pkg-info.mk instead of parsing
        changelog.
      + Drop get-packaged-orig-source target because it is deprecated
        since Debian Policy version 4.1.4.
    - d/copyright: Change protocol to use https

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 20 Jun 2024 09:49:05 +0200
