=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Microsoft Corporation <walinuxagent@microsoft.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               debhelper (>= 9.20160709) | dh-systemd,
+               debhelper (>= 9.20160709),
                go-md2man,
                iproute2,
                python3-all,
@@ -13,11 +13,9 @@
                python3-pyasn1,
                python3-distro,
                python3-mock,
-               python3-nose,
-               python3-nose-timer,
+               python3-pytest,
                python3-wrapt,
                pylint,
-               python3-distro,
                python3-coverage,
                iptables,
                openssl (>= 1.0),
