=== debian/changelog ===
walinuxagent (2.15.0.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (LP: #2141533):
    - Full list of changes is available at:
      https://github.com/Azure/WALinuxAgent/releases/tag/v2.15.0.1
    - Remove patches:
      + d/p/update_dhcp_client_ubuntu_supported_versions.patch: Merged
        upstream (#3159) and released in version pre-v2.13.0.0.
      + d/p/fix_escape_sequence_warning.patch: The code to which most
        of this patch applies has been refactored (#3221), and the
        prefix “r” has also been added for expressions (#3084),
        which means that this patch is no longer necessary. This was
        released in version 2.12.0.0.
      + d/p/complete_exception_info_on_test.patch: Merged upstream
        (#3149) and released in version pre-v2.13.0.0.
      + d/p/embed-distutils-to-azurelinuxagent.patch: Merged upstream
        (#3063) and released in version pre-v2.13.0.0.
      + d/p/run-unit-test-with-pytest-python3_10.patch: Merged
        upstream (#3081) and released in version pre-v2.13.0.0.
      + d/p/update-test-certificate-data.patch: Merged upstream
        (#3166) and released in version pre-v2.13.0.0.
      + d/p/use-legacycrypt-for-python3_13.patch: Merged upstream
        (#3070) and released in version pre-v2.13.0.0.
    - Refresh patches:
      + d/p/disable_udev_overrides.patch.

  * Switch the password hashing fallback from python3-crypt-r to
    python3-passlib, and drop the use of the Python3-crypt-r package,
    in order to align with the Ubuntu main archive policy
    (LP: #2106484):
    + d/p/switching-crypt_r-passlib-python3_13.patch:
      Switch crypt usage to passlib’s sha512_crypt, so
      provisioning keeps working on Python 3.13+. Update runtime and
      test dependencies to pull in passlib instead of crypt-r/legacycrypt.
    + d/control: Add build and runtime dependency on python3-passlib.

  * d/p/fix-some-tests-due-to-python3_14-changes.patch: 'fork' is needed when
    the parent process sets mocks because Python 3.14 changed the default start
    method of multiprocessing.Process.

  * d/rules:
    + Remove deselection of no longer existing tests test_get_password_hash
      on that path.
    + Deselect tests which uses VMAccessForLinux extension because it is not
      yet fully enabled in the agent and the related new feature is still in
      development.
    + Ignore all test that require root privileges to run.

  * d/tests/control: run tests that require sudo and are
    thereby ignored at build time.

  * DEP-17 compliance (LP: #2139222):
    - d/rules: Avoid /lib aliased-location error on lintian, making it
      compliant with DEP-17.
    - d/install: Update to be DEP-17 usrmerge compliant.

  * Included changes from waagent Debian unstable:
    [ Bastian Blank ]
    - d/control: Fix missing Pre-Depends.

    [ Noah Meyerhans ]
    - d/p/re-work-flaky-tests.patch: Not depending in ls output.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Mon, 12 Jan 2026 16:29:09 +0100

walinuxagent (2.11.1.4-0ubuntu4) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 12:06:41 +0100
