=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-all,
                python3-setuptools,
                python3-pyasn1,
+               python3-passlib,
                python3-distro,
                python3-mock,
                python3-pytest,
@@ -24,12 +25,15 @@
 
 Package: walinuxagent
 Architecture: amd64 arm64
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends: cloud-init (>= 0.7.3~bzr826-0ubuntu2),
          openssh-server (>= 1:5.9p1),
          openssl (>= 1.0),
          passwd (>= 4.1.4.2),
          util-linux (>= 2.0),
          python3-setuptools,
+         python3-passlib,
          ${misc:Depends},
          ${python3:Depends},
 Description: Windows Azure Linux Agent
