=== debian/tests/control ===
Test-Command: pytest -v tests/*/test_*_sudo.py
Depends: python3-all, python3-pytest, python3-mock, python3-wrapt, @
Restrictions: allow-stderr, needs-root, isolation-machine
